Chapter 1. Programming Interfaces

Table of Contents

Introduction

Introduction

You can use the Ambience APIs to extract, transform and load data between Ambience and your other applications.

The ERS client API was originally developed for Elixir Repertoire and has been supported since version 5.0. To ease the transition to Elixir Ambience, the same core functions have been made available so that old client codes can more easily work with the latest releases and do not need to be re-developed.

Users who are creating new clients should use HTTP/REST APIs directly.

All of these API libraries require at least Java 7 to run. Ensure that the version of Java on your system is at least 7.0 for these libraries to run.